# Model Zoo
- Results are presented in the format of *Rank-1 (mAP)*.
- Classification layer is ignored when computing the model size.
- Unless specified otherwise, only `Random2DTranslation` and `RandomHorizontalFlip` are used for data augmentation.
- Asterisk (\*) means the model is trained from scratch.
- Model weights can be downloaded by clicking the highlighted numbers.


| Model | # param (M) | Loss | Input | market1501  | dukemtmcreid | msmt17 |
| :--- | :---: | :---: | :---: | :---: | :---: | :---: |
| resnet50 | 23.5  | softmax | (256, 128) | [87.9 (70.4)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_market_xent.zip) | [78.3 (58.9)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_duke_xent.zip) | [63.2 (33.9)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_msmt_xent.zip) |
| resnet50_fc512 | 24.6 | softmax | (256, 128) | [90.8 (75.3)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_fc512_market_xent.zip) | [81.0 (64.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_fc512_duke_xent.zip) | [69.6 (38.4)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50_fc512_msmt_xent.zip) |
| densenet121_fc512 | 7.5 | softmax | (256, 128) | [87.8 (68.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/densenet121_fc512_market_xent.zip) | [79.7 (58.8)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/densenet121_fc512_duke_xent.zip) | [67.6 (35.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/densenet121_fc512_msmt_xent.zip) |
| se_resnet50_fc512 | 27.1 | softmax | (256, 128) | [91.9 (75.8)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/se_resnet50_fc512_market_xent.zip) | [81.5 (63.7)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/se_resnet50_fc512_duke_xent.zip) | [71.1 (39.8)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/se_resnet50_fc512_msmt_xent.zip) |
| shufflenet | 0.9 | softmax | (256, 128) | [84.1(64.1)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/shufflenet_market_xent.zip) | [73.4(51.9)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/shufflenet_duke_xent.zip) | [51.3(24.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/shufflenet_msmt_xent.zip) |
| squeezenet1_0_fc512 | 1.0 | softmax | (256, 128) | [79.3 (52.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/squeezenet1_0_fc512_market_xent.zip) | [66.6 (42.6)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/squeezenet1_0_fc512_duke_xent.zip) | [44.1 (17.1)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/squeezenet1_0_fc512_msmt_xent.zip) |
| mobilenetv2_1dot0 | 2.2 | softmax | (256, 128) | [85.6 (67.3)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot0_market.pth.tar) | [74.2 (54.7)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot0_duke.pth.tar) | [57.4 (29.3)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot0_msmt.pth.tar) |
| mobilenetv2_1dot4 | 4.3 | softmax | (256, 128) | [87.0 (68.5)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot4_market.pth.tar) | [76.2 (55.8)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot4_duke.pth.tar) | [60.1 (31.5)](http://eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mobilenetv2_1dot4_msmt.pth.tar) |
| resnet50mid | 27.7 | softmax | (256, 128) | [90.2 (76.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50mid_market_xent.zip) | [81.6 (64.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50mid_duke_xent.zip) | [69.0 (38.0)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/resnet50mid_msmt_xent.zip) |
| mlfn | 32.5 | softmax | (256, 128) | [90.1 (74.3)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mlfn_market_xent.zip) | [81.1 (63.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mlfn_duke_xent.zip) | [66.4 (37.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/mlfn_msmt_xent.zip) |
| hacnn<sup>*</sup> | 3.7 | softmax | (160, 64) | [90.9 (75.6)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/hacnn_market_xent.zip) | [80.1 (63.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/hacnn_duke_xent.zip) | [64.7 (37.2)](http://www.eecs.qmul.ac.uk/~kz303/deep-person-reid/model-zoo/image-models/hacnn_msmt_xent.zip) |